Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij
Class Macro

    java.lang.Object
      ij.Macro

public class Macro
extends java.lang.Object

The class contains static methods that perform macro operations.

Field Summary
`static java.lang.String` | `MACRO_CANCELED`

Constructor Summary
`Macro()`

Method Summary
`static void` | `abort()` Aborts the currently running macro or any plugin using IJ.run().
`static java.lang.String` | `getDir(java.lang.String path)`
`static java.lang.String` | `getName(java.lang.String path)`
`static java.lang.String` | `getOptions()` If a command started using run(name, options) is running, returns the options string, otherwise, returns null.
`static java.lang.String` | `getValue(java.lang.String options, java.lang.String key, java.lang.String defaultValue)`
`static boolean` | `open(java.lang.String path)`
`static boolean` | `saveAs(java.lang.String path)`
`static void` | `setOptions(java.lang.String options)`
`static java.lang.String` | `trimKey(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MACRO_CANCELED

    public static final java.lang.String MACRO_CANCELED

See Also:
  Constant Field Values

Constructor Detail

### Macro

    public Macro()

Method Detail

### open

    public static boolean open(java.lang.String path)

### saveAs

    public static boolean saveAs(java.lang.String path)

### getName

    public static java.lang.String getName(java.lang.String path)

### getDir

    public static java.lang.String getDir(java.lang.String path)

### abort

    public static void abort()

  Aborts the currently running macro or any plugin using IJ.run().

### getOptions

    public static java.lang.String getOptions()

  If a command started using run(name, options) is running, returns the options string, otherwise, returns null.

  See Also:
    `GenericDialog`, `OpenDialog`

### setOptions

    public static void setOptions(java.lang.String options)

### getValue

    public static java.lang.String getValue(java.lang.String options,
                                            java.lang.String key,
                                            java.lang.String defaultValue)

### trimKey

    public static java.lang.String trimKey(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD